<?php
/**
 * The template for displaying all pages
 *
 * @package Legal Services Firm
 */

get_header();
?>

<div class="container">
	<?php
	$legal_services_firm_page_layout = get_theme_mod( 'legal_services_firm_page_layout', 'layout-1' );

	if ( $legal_services_firm_page_layout == 'layout-1' ) {
		?>
	<div class="site-wrapper">
		<main id="primary" class="site-main lay-width">
			<?php
			while ( have_posts() ) :
				the_post();

				get_template_part( 'revolution/template-parts/content', 'page' );

				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;

			endwhile; // End of the loop.
			?>
		</main>
		<?php if ( is_active_sidebar( 'sidebar-1' )) { ?>
		<aside id="secondary" class="widget-area sidebar-width">
			<?php dynamic_sidebar( 'sidebar-1' ); ?>
		</aside>
		<?php } else { ?>
			<aside id="secondary" class="widget-area sidebar-width">
				<div class="default-sidebar">
					<aside id="search-3" class="widget widget_search">
						<h2 class="widget-title"><?php esc_html_e('Search Anything', 'legal-services-firm'); ?></h2>
						<?php get_search_form(); ?>
					</aside>
					<aside id="recent-posts-2" class="widget widget_recent_entries">
						<h2 class="widget-title"><?php esc_html_e('Latest Posts', 'legal-services-firm'); ?></h2>
						<ul>
							<?php
							$legal_services_firm_recent_posts = wp_get_recent_posts(array('numberposts' => 10));
							foreach ($legal_services_firm_recent_posts as $legal_services_firm_post) {
								echo '<li><a href="' . esc_url(get_permalink($legal_services_firm_post['ID'])) . '">' . esc_html($legal_services_firm_post['post_title']) . '</a></li>';
							}
							?>
						</ul>
					</aside>
					<aside id="recent-comments-2" class="widget widget_recent_comments">
						<h2 class="widget-title"><?php esc_html_e('Latest Comments', 'legal-services-firm'); ?></h2>
						<ul id="recentcomments">
							<?php
								$legal_services_firm_comments = get_comments(array(
									'number' => 10,
									'status' => 'approve',
								));
								foreach ($legal_services_firm_comments as $legal_services_firm_comment) {
									echo '<li class="recentcomments">' . esc_html($legal_services_firm_comment->comment_author) . ': <a href="' . esc_url(get_comment_link($legal_services_firm_comment->comment_ID)) . '">' . esc_html(get_the_title($legal_services_firm_comment->comment_post_ID)) . '</a></li>';
								}
							?>
						</ul>
					</aside>
					<aside id="categories-2" class="widget widget_categories">
						<h2 class="widget-title"><?php esc_html_e('Explore Categories', 'legal-services-firm'); ?></h2>
						<ul>
							<?php
								wp_list_categories(array(
									'title_li' => '',
									'number' => 10
								));
							?>
						</ul>
					</aside>
					<aside id="archives-2" class="widget widget_archive">
						<h2 class="widget-title"><?php esc_html_e('Blog Archives', 'legal-services-firm'); ?></h2>
						<ul>
							<?php
								wp_get_archives(array(
									'type' => 'postbypost',
							'format' => 'html',
							'limit'  => 10	
								));
							?>
						</ul>
				</aside>
					<aside id="pages-2" class="widget widget_pages">
						<h2 class="widget-title"><?php esc_html_e('Explore Our Pages', 'legal-services-firm'); ?></h2>
						<ul>
							<?php
								wp_list_pages(array(
									'title_li' => '',
									'number' => 10
								));
							?>
						</ul>
					</aside>
				<aside id="calendar-2" class="widget widget_calendar">
						<h2 class="widget-title"><?php esc_html_e('Calender', 'legal-services-firm'); ?></h2>
						<?php get_calendar(); ?>
				</aside>
			   </div>
			</aside>
	<?php } ?>
	</div>
	<?php
	} elseif ( $legal_services_firm_page_layout == 'layout-2' ) {
		?>
	<div class="site-wrapper">
		<?php if ( is_active_sidebar( 'sidebar-1' )) { ?>
		<aside id="secondary" class="widget-area sidebar-width">
			<?php dynamic_sidebar( 'sidebar-1' ); ?>
		</aside>
		<?php } else { ?>
			<aside id="secondary" class="widget-area sidebar-width">
				<div class="default-sidebar">
					<aside id="search-3" class="widget widget_search">
						<h2 class="widget-title"><?php esc_html_e('Search Anything', 'legal-services-firm'); ?></h2>
						<?php get_search_form(); ?>
					</aside>
					<aside id="recent-posts-2" class="widget widget_recent_entries">
						<h2 class="widget-title"><?php esc_html_e('Latest Posts', 'legal-services-firm'); ?></h2>
						<ul>
							<?php
							$legal_services_firm_recent_posts = wp_get_recent_posts(array('numberposts' => 10));
							foreach ($legal_services_firm_recent_posts as $legal_services_firm_post) {
								echo '<li><a href="' . esc_url(get_permalink($legal_services_firm_post['ID'])) . '">' . esc_html($legal_services_firm_post['post_title']) . '</a></li>';
							}
							?>
						</ul>
					</aside>
					<aside id="recent-comments-2" class="widget widget_recent_comments">
						<h2 class="widget-title"><?php esc_html_e('Latest Comments', 'legal-services-firm'); ?></h2>
						<ul id="recentcomments">
							<?php
								$legal_services_firm_comments = get_comments(array(
									'number' => 10,
									'status' => 'approve',
								));
								foreach ($legal_services_firm_comments as $legal_services_firm_comment) {
									echo '<li class="recentcomments">' . esc_html($legal_services_firm_comment->comment_author) . ': <a href="' . esc_url(get_comment_link($legal_services_firm_comment->comment_ID)) . '">' . esc_html(get_the_title($legal_services_firm_comment->comment_post_ID)) . '</a></li>';
								}
							?>
						</ul>
					</aside>
					<aside id="categories-2" class="widget widget_categories">
						<h2 class="widget-title"><?php esc_html_e('Explore Categories', 'legal-services-firm'); ?></h2>
						<ul>
							<?php
								wp_list_categories(array(
									'title_li' => '',
									'number' => 10
								));
							?>
						</ul>
					</aside>
					<aside id="archives-2" class="widget widget_archive">
						<h2 class="widget-title"><?php esc_html_e('Blog Archives', 'legal-services-firm'); ?></h2>
						<ul>
							<?php
								wp_get_archives(array(
									'type' => 'postbypost',
							'format' => 'html',
							'limit'  => 10	
								));
							?>
						</ul>
				</aside>
					<aside id="pages-2" class="widget widget_pages">
						<h2 class="widget-title"><?php esc_html_e('Explore Our Pages', 'legal-services-firm'); ?></h2>
						<ul>
							<?php
								wp_list_pages(array(
									'title_li' => '',
									'number' => 10
								));
							?>
						</ul>
					</aside>
				<aside id="calendar-2" class="widget widget_calendar">
						<h2 class="widget-title"><?php esc_html_e('Calender', 'legal-services-firm'); ?></h2>
						<?php get_calendar(); ?>
				</aside>
			   </div>
			</aside>
	<?php } ?>
		<main id="primary" class="site-main lay-width">
			<?php
			while ( have_posts() ) :
				the_post();

				get_template_part( 'revolution/template-parts/content', 'page' );

				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;

			endwhile; // End of the loop.
			?>
		</main>
	</div>
	<?php 
	} elseif ( $legal_services_firm_page_layout == 'layout-3' ) { // No-sidebar layout ?>
		<div class="site-wrapper full-width">
			<main id="primary" class="site-main lay-width">
				<?php
				while ( have_posts() ) :
					the_post();

					get_template_part( 'revolution/template-parts/content', 'page' );

					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;

				endwhile; // End of the loop.
				?>
			</main>
		</div>
	<?php } ?>
</div>

<?php
get_footer();
				